﻿<%@ Page Title="" Language="vb" AutoEventWireup="false" MasterPageFile="~/Site.Master" CodeBehind="addProperty.aspx.vb" Inherits="GozoFarmhouses.addProperty" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content runat="server" ID="FeaturedContent" ContentPlaceHolderID="FeaturedContent">
    <section class="banner">
        <img src="Images/addPropertBanner.jpg" />
    </section>

    <section class="addProperty"> 
        <div class="row"> 
            <div class="large-12 column"> 
                <div class="title">
                    <h1>Add Property Details</h1>
                </div>   
            </div>
            
            <div class="large-12 column"> 
                <div class="sep"></div>
            </div>

            <div class="large-6 column"> 
                <span>Property Name*</span>
                <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ErrorMessage="This Field is Required" ControlToValidate="property_name" CssClass="error" Visible="False" Display="Dynamic"></asp:RequiredFieldValidator>
                <asp:TextBox ID="property_name" runat="server"></asp:TextBox>
            </div>

            <div class="large-6 column"> 
                <span>Property Type*</span>
                <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ErrorMessage="This Field is Required" ControlToValidate="proptype" CssClass="error" Display="Dynamic"></asp:RequiredFieldValidator>
                <asp:DropDownList ID="proptype" runat="server">
                    <asp:ListItem Selected="True">Farmhouse</asp:ListItem>
                    <asp:ListItem>Villa</asp:ListItem>
                    <asp:ListItem>Appartment</asp:ListItem>
                    <asp:ListItem>Maisonette</asp:ListItem>
                </asp:DropDownList>
            </div>

            <div class="large-6 column">
                <span>Rate per Day*</span>
                <asp:RangeValidator ID="RangeValidator1" runat="server" ErrorMessage="Property Rate Must Be Between 100 and 1000 " ControlToValidate="property_rate" CssClass="error" MinimumValue="100" MaximumValue="1000" Visible="True" Display="Dynamic"></asp:RangeValidator>
                <asp:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" ErrorMessage="This Field is Required" ControlToValidate="property_rate" CssClass="error" Display="Dynamic"></asp:RequiredFieldValidator>
                <asp:TextBox ID="property_rate" runat="server"></asp:TextBox>
            </div>

            <div class="large-6 column">
                <span>Property Size (sqft)*</span>
                <asp:RequiredFieldValidator ID="RequiredFieldValidator4" runat="server" ErrorMessage="This Field is Required" ControlToValidate="property_sqft" CssClass="error" Display="Dynamic"></asp:RequiredFieldValidator>
                <asp:TextBox ID="property_sqft" runat="server"></asp:TextBox>
            </div>

            <div class="large-6 column">
                <span>Number of Bathrooms*</span> 
                <asp:RequiredFieldValidator ID="RequiredFieldValidator5" runat="server" ErrorMessage="This Field is Required" ControlToValidate="propertybathrooms" Display="Dynamic"></asp:RequiredFieldValidator>
                <asp:DropDownList ID="propertybathrooms" runat="server">
                    <asp:ListItem Selected="True">1</asp:ListItem>
                    <asp:ListItem>2</asp:ListItem>
                    <asp:ListItem>3</asp:ListItem>
                    <asp:ListItem>4</asp:ListItem>
                    <asp:ListItem>5</asp:ListItem>
                    <asp:ListItem>6</asp:ListItem>
                    <asp:ListItem>7</asp:ListItem>
                    <asp:ListItem>8</asp:ListItem>
                    <asp:ListItem>9</asp:ListItem>
                    <asp:ListItem>10</asp:ListItem>
                </asp:DropDownList>
            </div>

            <div class="large-6 column">
                <span>Number of Bedrooms*</span>
                <asp:RequiredFieldValidator ID="RequiredFieldValidator6" runat="server" ErrorMessage="This Field is Required" ControlToValidate="propertybedrooms" CssClass="error" Display="Dynamic"></asp:RequiredFieldValidator>
                <asp:DropDownList ID="propertybedrooms" runat="server">
                    <asp:ListItem Selected="True">1</asp:ListItem>
                    <asp:ListItem>2</asp:ListItem>
                    <asp:ListItem>3</asp:ListItem>
                    <asp:ListItem>4</asp:ListItem>
                    <asp:ListItem>5</asp:ListItem>
                    <asp:ListItem>6</asp:ListItem>
                    <asp:ListItem>7</asp:ListItem>
                    <asp:ListItem>8</asp:ListItem>
                    <asp:ListItem>9</asp:ListItem>
                    <asp:ListItem>10</asp:ListItem>
                </asp:DropDownList>
            </div>

            <div class="large-6 column"> 
                <span>Car Garage*</span>
                <asp:RequiredFieldValidator ID="RequiredFieldValidator7" runat="server" ErrorMessage="This Field is Required" ControlToValidate="cargarage" CssClass="error" Display="Dynamic"></asp:RequiredFieldValidator>
                <asp:DropDownList ID="cargarage" runat="server">
                    <asp:ListItem Selected="True">1</asp:ListItem>
                    <asp:ListItem>2</asp:ListItem>
                    <asp:ListItem>3</asp:ListItem>
                    <asp:ListItem>4</asp:ListItem>
                    <asp:ListItem>5</asp:ListItem>
                    <asp:ListItem>6</asp:ListItem>
                    <asp:ListItem>7</asp:ListItem>
                    <asp:ListItem>8</asp:ListItem>
                    <asp:ListItem>9</asp:ListItem>
                    <asp:ListItem>10</asp:ListItem>
                </asp:DropDownList>
            </div>

            <div class="large-6 column">
                <span>Property Year*</span> 
                <asp:RequiredFieldValidator ID="RequiredFieldValidator8" runat="server" ErrorMessage="This Field is Required" ControlToValidate="property_year" CssClass="error" Display="Dynamic"></asp:RequiredFieldValidator>
                <asp:TextBox ID="property_year" runat="server"></asp:TextBox>
            </div>

            <div class="large-6 column">
                <span>Property Location*</span>  
                <asp:RequiredFieldValidator ID="RequiredFieldValidator9" runat="server" ErrorMessage="This Field is Required" ControlToValidate="proploc" CssClass="error"></asp:RequiredFieldValidator>
                <asp:DropDownList ID="proploc" runat="server">
                    <asp:ListItem Selected="True">Victoria</asp:ListItem>
                    <asp:ListItem>Fontana</asp:ListItem>
                    <asp:ListItem>Ghajnsielem</asp:ListItem>
                    <asp:ListItem>Gharb</asp:ListItem>
                    <asp:ListItem>Ghasri</asp:ListItem>
                    <asp:ListItem>Kercem</asp:ListItem>
                    <asp:ListItem>Munxar</asp:ListItem>
                    <asp:ListItem>Nadur</asp:ListItem>
                    <asp:ListItem>Qala</asp:ListItem>
                    <asp:ListItem>Sannat</asp:ListItem>
                    <asp:ListItem>Xaghra</asp:ListItem>
                    <asp:ListItem>Xewkija</asp:ListItem>
                    <asp:ListItem>Zebbug</asp:ListItem>
                </asp:DropDownList>
            </div>

            <div class="large-12 column">
                <span>Description*</span> 
                <asp:RequiredFieldValidator ID="RequiredFieldValidator10" runat="server" ErrorMessage="This Field is Required" ControlToValidate="property_description" CssClass="error" Display="Dynamic"></asp:RequiredFieldValidator>
                <asp:TextBox ID="property_description" runat="server" CssClass="desc"></asp:TextBox>
            </div>

            <div class="large-12 column"> 
                <div class="title spaceTop">
                    <h1>Add Property Media</h1>
                </div>   
            </div>

             <div class="large-12 column"> 
                <div class="sep"></div>
            </div>

            <div class="large-6 column"> 
                <span>Property Image 1*</span>
                <asp:RequiredFieldValidator ID="RequiredFieldValidator11" runat="server" ErrorMessage="This Field is Required" ControlToValidate="image1" CssClass="error" Display="Dynamic"></asp:RequiredFieldValidator>
                <asp:FileUpload ID="image1" runat="server" />
            </div>

            <div class="large-6 column"> 
                <span>Property Image 2</span>
                <asp:FileUpload ID="image2" runat="server" />
            </div>

            <div class="large-6 column"> 
                <span>Property Image 3</span>
                <asp:FileUpload ID="image3" runat="server" />
            </div>

            <div class="large-6 column"> 
                <span>Property Image 4</span>
                <asp:FileUpload ID="image4" runat="server" />
            </div>

            <div class="large-12 column"> 
                <div class="sep"></div>
            </div>

            <div class="large-12 column"> 
                <asp:Button ID="buttonaddprop" runat="server" Text="Add Property" />
            </div>

        </div>

    </section>

</asp:Content>
