﻿<%@ Page Title="" Language="vb" AutoEventWireup="false" MasterPageFile="~/Site.Master" CodeBehind="propertyDetail.aspx.vb" Inherits="GozoFarmhouses.propertyDetail" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="FeaturedContent" runat="server">

    <section class="banner">
        <img src="Images/addPropertBanner.jpg" />
    </section>
    
    <section class="propertyDetail"> 
        <div class="row">

            <asp:ListView ID="ListView1" runat="server" DataSourceID="SqlDataSource1">
                <ItemTemplate>
                    <div class="large-8 column">

                        <div class="gallery">
                            <img src="<%# Eval("property_image_1")%>" alt="<%# Eval("property_name")%>" title="<%# Eval("property_name")%>"/> 
                        </div>
                        <div class="galleryThumbs">
                            <img src="<%# Eval("property_image_1")%>" alt="<%# Eval("property_name")%>" title="<%# Eval("property_name")%>"/> 
                            <img src="<%# Eval("property_image_2")%>" alt="<%# Eval("property_name")%>" title="<%# Eval("property_name")%>"/>
                            <img src="<%# Eval("property_image_3")%>" alt="<%# Eval("property_name")%>" title="<%# Eval("property_name")%>"/>
                            <img src="<%# Eval("property_image_4")%>" alt="<%# Eval("property_name")%>" title="<%# Eval("property_name")%>"/> 
                        </div>

                        <div class="prop_info">
                            <h1><%# Eval("property_name")%></h1>

                            <div class="row">
                                 <div class="large-6 column"><div class="prop_holder"><span class="label">Rate</span><span class="right">&euro; <%# Eval("property_rate")%> p/m</span></div></div>
                                 <div class="large-6 column"><div class="prop_holder"><span class="label">Bathrooms</span><span class="right"><%# Eval("property_bathrooms")%></span></div></div>
                                 <div class="large-6 column"><div class="prop_holder"><span class="label">Bedrooms</span><span class="right"><%# Eval("property_bedrooms")%></span></div></div>
                                 <div class="large-6 column"><div class="prop_holder"><span class="label">Square Footage</span><span class="right"><%# Eval("property_square_ft")%>sqft</span></div></div>
                                 <div class="large-6 column"><div class="prop_holder"><span class="label">Property Type</span><span class="right"><%# Eval("property_type")%></span></div></div>
                                 <div class="large-6 column"><div class="prop_holder"><span class="label">Car Garage</span><span class="right"><%# Eval("property_car_garage")%></span></div></div>

                                 <div class="large-12 column"><div class="desc"><%# Eval("property_description")%></div></div>

                            </div>

                            <div class="row"> 
                                <div class="large-12 column">
                                    <div class="social">
                                        <!-- AddThis Button BEGIN -->
                                        <div class="addthis_toolbox addthis_default_style addthis_32x32_style">
                                        <a class="addthis_button_preferred_1"></a>
                                        <a class="addthis_button_preferred_2"></a>
                                        <a class="addthis_button_preferred_3"></a>
                                        <a class="addthis_button_preferred_4"></a>
                                        <a class="addthis_button_compact"></a>
                                        <a class="addthis_counter addthis_bubble_style"></a>
                                        </div>
                                        <script type="text/javascript">var addthis_config = { "data_track_addressbar": true };</script>
                                        <script type="text/javascript" src="//s7.addthis.com/js/300/addthis_widget.js#pubid=ra-527a533d6b8fba74"></script>
                                        <!-- AddThis Button END -->
                                    </div>
                                </div>

                            </div>

                        </div>
                    </div>


                </ItemTemplate>
            </asp:ListView>

            <asp:ListView ID="ListView2" runat="server" DataSourceID="SqlDataSource1">
                 <ItemTemplate>
                     <div class="large-4 column">
                        <div class="map">
                            <h3>MAP &amp; DIRECTIONS</h3>
                            <iframe width="260" height="280" frameborder="0" scrolling="no" marginheight="0" marginwidth="0" src="https://maps.google.com/maps?q=<%# Eval("property_location")%>&output=embed"></iframe>
                        </div>
                     </div>
                </ItemTemplate>
            </asp:ListView>


            <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:detailPageStr %>" ProviderName="<%$ ConnectionStrings:detailPageStr.ProviderName %>" SelectCommand="SELECT * FROM [Properties] WHERE ([ID] = ?)">
                <SelectParameters>
                    <asp:QueryStringParameter Name="ID" QueryStringField="id" Type="Int32" />
                </SelectParameters>
            </asp:SqlDataSource>


        </div>
    </section>

</asp:Content>
